.\" Copyright (c) 1985, 1990, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by the University of
.\"	California, Berkeley and its contributors.
.\" 4. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     From: @(#)whois.1	8.1 (Berkeley) 6/6/93
.\" $FreeBSD: src/usr.bin/whois/whois.1,v 1.1.1.1.8.5 1999/09/05 11:33:26 peter Exp $
.\"
.Dd February 1, 1999
.Dt WHOIS 1
.Os BSD 4.3
.Sh NAME
.Nm whois
.Nd Internet domain name and network number directory service
.Sh SYNOPSIS
.Nm whois
.Op Fl adgprR
.Op Fl h Ar host
.Ar name ...
.Sh DESCRIPTION
.Nm Whois
looks up records in the databases maintained by several
Network Information Centers
.Pq Tn NICs .
.Pp
The options are as follows:
.Bl -tag -width Ds
.It Fl a
Use the American Registry for Internet Numbers
.Pq Tn ARIN
database.  It contains network numbers used in those parts of the world
covered neither by
.Tn APNIC nor by
.Tn RIPE .
.It Fl d
Use the US Department of Defense
database.  It contains points of contact for subdomains of
.Tn \&.MIL .
.It Fl g
Use the US non-military federal government database, which contains points of
contact for subdomains of
.Tn \&.GOV .
.It Fl h Ar host
Use the specified host instead of the default NIC
(whois.internic.net).
Either a host name or an IP address may be specified.
.It Fl p
Use the Asia/Pacific Network Information Center
.Pq Tn APNIC
database.  It contains network numbers used in East Asia, Australia,
New Zealand, and the Pacific islands.
.It Fl r
Use the R\(aaeseaux IP Europ\(aaeens
.Pq Tn RIPE
database.  It contains network numbers and domain contact information
for Europe.
.It Fl R
Use the Russia Network Information Center
.Pq Tn RIPN
database.  It contains network numbers and domain contact information
for subdomains of
.Tn \&.RU .
.El
.Pp
The operands specified to
.Nm
are concatenated together (separated by white-space) and presented to
the
.Nm
server.
.Pp
The default action, unless directed otherwise with a special
.Ar name ,
is to do a very broad search, looking for matches to
.Ar name
in all types of records and most fields (name, nicknames, hostname, net
address, etc.) in the database.
For more information as to what
.Ar name
operands have special meaning, and how to guide the search, use
the special name
.Dq Ar help .
.Sh SEE ALSO
.Rs
.%A Ken Harrenstien
.%A Vic White
.%T NICNAME/WHOIS
.%D 1 March 1982
.%O RFC 812
.Re
.Sh HISTORY
The
.Nm
command appeared in
.Bx 4.3 .
